# duck.h File Reference

Template Header. More...

`#include <list>`
`#include <ETL/smart_ptr>`
`#include <ETL/handle>`
`#include <synfig/vector.h>`
`#include <synfig/string.h>`
`#include <synfig/real.h>`
`#include <sigc++/signal.h>`
`#include <sigc++/object.h>`
`#include <synfig/time.h>`
`#include <synfigapp/value_desc.h>`
`#include <synfig/transform.h>`
`#include <map>`
`#include <set>`

Go to the source code of this file.

## Namespaces

namespace | studio

## Classes

class | studio::Duck
class | studio::DuckMap

## Typedefs

typedef std::list< Duck::Handle > | studio::DuckList

## Functions

Duck::Type | studio::operator| (Duck::Type lhs, const Duck::Type rhs)
| Combine Flags.
Duck::Type | studio::operator- (Duck::Type lhs, const Duck::Type rhs)
| Exclude Flags.
Duck::Type & | studio::operator|= (Duck::Type &lhs, const Duck::Type rhs)
Duck::Type | studio::operator & (const Duck::Type lhs, const Duck::Type rhs)

## Detailed Description

Template Header.

$Id$